Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class RichMessageBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.RichMessageBaseRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  HtmlRichMessageRenderer, HtmlRichMessagesRenderer

    public abstract class RichMessageBaseRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Author:
  Anton Belevich

Field Summary
`static java.lang.String` | `COMPONENT_NOT_FOUND_IN_VIEW_WARN_MESSAGE`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`RichMessageBaseRenderer()`

Method Summary
`protected java.util.List<java.lang.String>` | `creatAcceptLevels(java.lang.String[] levels)`
`protected java.util.Iterator<javax.faces.application.FacesMessage>` | `getMessageIterator(javax.faces.context.FacesContext context, java.lang.String forClientId, javax.faces.component.UIComponent component)`
`protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
`protected boolean` | `isAcceptableMessage(javax.faces.application.FacesMessage message, java.util.List<java.lang.String> acceptLevels)`
`protected boolean` | `isAcceptableMessagesPresent(java.util.List<java.lang.String> acceptLevels, java.util.Iterator<javax.faces.application.FacesMessage> messagesIter)`
`protected void` | `outerStyles(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.application.FacesMessage facesMsg)`
`protected void` | `renderLabel(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.application.FacesMessage facesMsg)`
`abstract void` | `renderLabelHtml(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.application.FacesMessage facesMsg, java.lang.String labelClass, java.lang.String labelStyle, java.lang.String passLabel)`
`protected void` | `renderMarkerFacet(javax.faces.component.UIComponent uiMsg, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.application.FacesMessage facesMsg)`
`abstract void` | `renderMarkerHtml(javax.faces.component.UIComponent component, javax.faces.component.UIComponent markerFacet, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, java.lang.String markerClass, java.lang.String markerStyle)`
`abstract void` | `renderOuterStyles(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, java.lang.String outerStyle, java.lang.String outerClass)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### COMPONENT_NOT_FOUND_IN_VIEW_WARN_MESSAGE

    public static final java.lang.String COMPONENT_NOT_FOUND_IN_VIEW_WARN_MESSAGE

See Also:
  Constant Field Values

Constructor Detail

### RichMessageBaseRenderer

    public RichMessageBaseRenderer()

Method Detail

### getStyles

    protected org.ajax4jsf.resource.InternetResource[] getStyles()

  Overrides:
    `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getMessageIterator

    protected java.util.Iterator<javax.faces.application.FacesMessage> getMessageIterator(javax.faces.context.FacesContext context,
                                                                                          java.lang.String forClientId,
                                                                                          javax.faces.component.UIComponent component)
                                                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderMarkerFacet

    protected void renderMarkerFacet(javax.faces.component.UIComponent uiMsg,
                                     javax.faces.context.FacesContext context,
                                     javax.faces.context.ResponseWriter writer,
                                     javax.faces.application.FacesMessage facesMsg)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderLabel

    protected void renderLabel(javax.faces.component.UIComponent component,
                               javax.faces.context.FacesContext context,
                               javax.faces.context.ResponseWriter writer,
                               javax.faces.application.FacesMessage facesMsg)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### outerStyles

    protected void outerStyles(javax.faces.component.UIComponent component,
                               javax.faces.context.FacesContext context,
                               javax.faces.context.ResponseWriter writer,
                               javax.faces.application.FacesMessage facesMsg)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### isAcceptableMessagesPresent

    protected boolean isAcceptableMessagesPresent(java.util.List<java.lang.String> acceptLevels,
                                                  java.util.Iterator<javax.faces.application.FacesMessage> messagesIter)

### isAcceptableMessage

    protected boolean isAcceptableMessage(javax.faces.application.FacesMessage message,
                                          java.util.List<java.lang.String> acceptLevels)

### creatAcceptLevels

    protected java.util.List<java.lang.String> creatAcceptLevels(java.lang.String[] levels)

### renderMarkerHtml

    public abstract void renderMarkerHtml(javax.faces.component.UIComponent component,
                                          javax.faces.component.UIComponent markerFacet,
                                          javax.faces.context.FacesContext context,
                                          javax.faces.context.ResponseWriter writer,
                                          java.lang.String markerClass,
                                          java.lang.String markerStyle)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderLabelHtml

    public abstract void renderLabelHtml(javax.faces.component.UIComponent component,
                                         javax.faces.context.FacesContext context,
                                         javax.faces.context.ResponseWriter writer,
                                         javax.faces.application.FacesMessage facesMsg,
                                         java.lang.String labelClass,
                                         java.lang.String labelStyle,
                                         java.lang.String passLabel)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderOuterStyles

    public abstract void renderOuterStyles(javax.faces.component.UIComponent component,
                                           javax.faces.context.FacesContext context,
                                           javax.faces.context.ResponseWriter writer,
                                           java.lang.String outerStyle,
                                           java.lang.String outerClass)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.